[Rubygems-developers] Tracking RubyGems as a dependency

James Tucker jftucker at gmail.com
Wed Jul 7 11:36:43 EDT 2010


Hi again,

One of the things that has come up along the lines of research for better integration with system package managers is the idea of tracking rubygems itself as a dependency for gem code. Some package managers simply strip out "require 'rubygems'" from 3rd party code, which in most cases is workable given their installation plan, however, some libraries may use the Gem API, for example Gem.gunzip or the like (for want of a better example). I recognise it's hard to get 3rd party users to fill in gemspecs fully, and I have other ideas for that, but in light of simply allowing dependency lists to be filled in correctly, should there be a method to do this in the gemspec?

At present specs contain a rubygems_version field that I'm not sure we even use. Can we add some kind of "uses_rubygems" boolean field for this purpose, as it seems depending on rubygems-update would be quite incorrect.

Regards,

James Tucker


More information about the Rubygems-developers mailing list